﻿@font-face {
    font-family: 'Ubuntu';
    src: url('/fonts/ubuntu.woff2') format('woff2'), url('/fonts/ubuntu.woff') format('woff');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}

.Pannelli {
    cursor: pointer;
    fill: whitesmoke;
    stroke: gray;
    stroke-width: 1;
}

.Solar {
    cursor: pointer;
    fill: whitesmoke;
    stroke: gray;
    stroke-width: 1;
}

#tooltip {
    background: linear-gradient(266deg,#008540,#48a345 46%,#c5d800);
    border: 2px solid black;
    font-weight: 800;
    border-radius: 5px;
    padding: 5px;
}

/*Menu Laterale Pompe*/
body html {
    font-family: "Lato", sans-serif;
}

.overlay {
    height: 100%;
    width: 0%;
    position: fixed;
    z-index: 2;
    top: 0;
    left: 0;
    background-color: rgb(0,0,0);
    background-color: rgba(0,0,0, 0.9);
    overflow: hidden;
    transition: 0.1s;
}

.overlay-content {
    position: absolute;
    width: 100%;
    text-align: center;
}


.overlay-offset {
    position: absolute;
    width: 100%;
    text-align: center;
    top: 50px;
}

.closebtn {
    position: absolute;
    top: 10px;
    right: 35px;
    font-size: 60px;
}

.overlay a {
    padding: 8px;
    text-decoration: none;
    font-size: 40px;
    color: #818181;
    display: block;
    transition: 0.1s;
}

.overlay .titolo {
    padding: 8px;
    text-decoration: underline;
    font-size: 50px;
    font-style: oblique;
    font-weight: bold;
    color: #fefefe;
    border-radius: 30px;
    display: inline-block;
    transition: 0.1s;
}

.overlay .descrizione {
    padding: 8px;
    text-decoration: none;
    text-align: left;
    font-size: 30px;
    color: #fefefe;
    display: inline-block;
    transition: 0.1s;
}

.overlay input {
    padding: 8px;
    margin: 4px;
    width: 150px;
    text-align: center;
    text-decoration: none;
    font-size: 25px;
    background-color: #def6e0;
    border: 3px solid gray;
    color: #475681;
    display: inline-block;
    transition: 0.1s;
    cursor: default;
}

.overlay button {
    padding: 8px;
    font-size: 40px;
    transition: 0.1s;
    background-color: transparent;
    border: none;
    border-radius: 8px;
    color: white;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    margin: 4px 2px;
    transition-duration: 0.1s;
    cursor: pointer;
}

.button1:hover {
    border: 3px solid limegreen;
}

.button2:hover {
    border: 3px solid red;
}

.input1 {
    border: 3px solid cornflowerblue !important;
    color: #0056ad !important;
    cursor: pointer !important;
}

.overlay a:hover {
    color: #b1b1b1;
}

/*pulsante pompa*/
.mybtn {
    background-color: #0056ad;
    color: black;
    text-align: center;
    text-decoration: none;
    font-size: 18px;
    font-weight: bold;
    border: 0;
    display: inline-block;
    vertical-align: middle;
    position: relative;
    overflow: hidden;
    border-radius: 10px;
    background-image: linear-gradient(266deg,#008540,#48a345 46%,#c5d800);
    text-shadow: 0px 0px 10px #ffffff;
    width: 74px;
    height: 34px;
}

.mybtn:hover {
    background-color: #008540;
    color: #c5d800;
    background-image: none;
    cursor: pointer;
    box-shadow: 2px 2px 20px #c5d800;
}

/*pulsanti colorati*/
.colorButton {
    color: #0056ad;
    text-align: center;
    font-size: 18px;
    font-weight: bold;
    border: 1;
    border-radius: 10px;
    width: 150px;
    height: 30px;
}

.colorButton:hover {
    background-color: #008540;
    color: #0056ad;
    cursor: pointer;
    box-shadow: 2px 2px 20px #c5d800;
}

/*pulsante parametri setpoint*/
.param {
    background-color: #f9fbe0;
    border-color: gray;
    color: #008540;
    text-align: center;
    border: 2px solid #008540;
    cursor: pointer;
    box-shadow: 2px 2px 5px grey;
    width: 120px;
    font-weight: bold;
}

.param:hover {
    background-color: #c5d800;
    color: white;
    background-image: none;
    cursor: pointer;
    box-shadow: 2px 2px 20px #c5d800;
}

/*pulsante parametri allarme pressostato*/
.param2 {
    background-color: #f9fbe0;
    color: red;
    text-align: center;
    border: 2px solid red;
    display: inline-block;
    vertical-align: middle;
    cursor: pointer;
}

.param2:hover {
    background-color: red;
    color: white;
    background-image: none;
    cursor: pointer;
    box-shadow: 2px 2px 20px #c5d800;
}

/*temperature*/
.readonly {
    background-color: #f9fbe0;
    border-color: gray;
    color: #008540;
    text-align: center;
    cursor: default;
    border: 2px solid #008540;
    box-shadow: 2px 2px 5px grey;
    width: 120px;
    font-weight: bold;
}

/*inverter*/
.readonly2 {
    background-color: #ffffff;
    border-color: gray;
    text-align: center;
    cursor: default;
}

.vertical1 {
    -webkit-transform: rotate(-90deg); /* Chrome, Safari, Opera */
    transform: rotate(-90deg);
}

.vertical2 {
    -webkit-transform: rotate(90deg); /* Chrome, Safari, Opera */
    transform: rotate(90deg);
}

.horizzontal {
    -webkit-transform: rotate(-180deg); /* Chrome, Safari, Opera */
    transform: rotate(-180deg);
}

#schermata_caricamento {
    position: absolute;
    top: 50%;
    left: 50%;
    margin: -92px 0px 0px -108px;
    padding: 0px;
    border: 0px;
    background-color: #fff;
    background-image: url(immagini/caricamento.gif);
    background-repeat: no-repeat;
}

/*pulsante grafici*/
.myChart {
    background-color: #0056ad;
    color: #fff;
    text-align: center;
    text-decoration: none;
    font-size: 14px;
    font-weight: bold;
    border: 0;
    display: inline-block;
    vertical-align: middle;
    position: relative;
    overflow: hidden;
    border-radius: 30px;
    background-image: linear-gradient(266deg,#8b00c2,#d10000 46%,#ad0000);
    width: 66px;
    height: 23px;
}

.myChart:hover {
    background-color: #00c24e;
    background-image: linear-gradient(266deg,#f59dda,#d18f00 150%);
    cursor: pointer;
}

.boxSfumato {
    border-style: ridge;
    border-color: inherit;
    border-width: medium;
    background-color: #0056ad;
    background-image: linear-gradient(266deg,#008540,#48a345 46%,#c5d800);
}

.ombra{
    box-shadow: 5px 5px 5px grey;
}

.testi {
    font-size: 15px;
    text-shadow: 0px 0px 5px #ffffff;
    color: black;
    text-align: left;
    font-weight: bold;
}

.sottolineati {
    width: 100%;
    font-size: 18px;
    text-decoration: underline;
    font-style: oblique;
    color: black;
    font-weight: bold;
    text-align: center;
    text-shadow: 0px 0px 5px #ffffff;
}

.nomeImpianto {
    width: 100%;
    font-size: 26px;
    text-decoration: underline;
    font-style: oblique;
    color: black;
    font-weight: bold;
    text-align: center;
    text-shadow: 0px 0px 5px #ffffff;
}

.etichette {
    font-size: 14px;
    color: #008540;
    font-weight: bold;
    text-align: left;
}

.bollo {
    border-radius: 50%;
    width: 15px;
    height: 15px;
    border: 2px solid #ffffff;
}

.bolloStato {
    border: medium double white;
    border-radius: 50%;
    width: 40px;
    height: 40px;
    box-shadow: 0px 0px 5px black;
}

.ombraBlu {
    text-shadow: 0px 0px 10px deepskyblue;
}

.ombraAzzurra {
    text-shadow: 0px 0px 10px cyan;
}

.ombraRossa {
    text-shadow: 0px 0px 10px red;
}

.ombraVerde {
    text-shadow: 0px 0px 10px green;
}

td th {
    padding: 0px;
    margin: 0mm;
}

caption {
    font-size: 18px;
    text-decoration: underline;
    font-style: oblique;
    color: black;
    font-weight: bold;
    text-align: center;
    padding: 5px;
    text-shadow: 0px 0px 2px rgba(255,255,255, 1), 0px 0px 5px rgba(7,107,59, 1), 0px 0px 10px rgba(72,163,69, 1), 0px 0px 15px rgba(226,226,0, 1);
}

